CritterCriteriaImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.ui.tapestry.components.dialog.CritterCriteriaImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.dialog
Class CritterCriteriaImpl

    java.lang.Object
      org.hyperic.ui.tapestry.components.dialog.CritterCriteriaImpl

All Implemented Interfaces:
  java.io.Serializable, CritterCriteria

    public class CritterCriteriaImpl

extends java.lang.Object
implements CritterCriteria, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`CritterCriteriaImpl()`

Method Summary
`java.lang.Object` | `getSelectedType()`
`java.lang.String` | `getStringValue()`
`void` | `setSelectedType(java.lang.Object selectedType)`
`void` | `setStringValue(java.lang.String stringValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CritterCriteriaImpl

    public CritterCriteriaImpl()

Method Detail

### getSelectedType

    public java.lang.Object getSelectedType()

  Specified by:
    `getSelectedType` in interface `CritterCriteria`

### setSelectedType

    public void setSelectedType(java.lang.Object selectedType)

  Specified by:
    `setSelectedType` in interface `CritterCriteria`

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    `getStringValue` in interface `CritterCriteria`

### setStringValue

    public void setStringValue(java.lang.String stringValue)

  Specified by:
    `setStringValue` in interface `CritterCriteria`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.